Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class CompositeQuestion

    java.lang.Object
      com.sun.interview.Question
          com.sun.interview.CompositeQuestion

Direct Known Subclasses:
  PropertiesQuestion

    public abstract class CompositeQuestion

extends Question

A specialized base class for questions which have more than one value to be manipulated by the user.

Since:
  4.0

Field Summary

Fields inherited from class com.sun.interview.Question
`interview, key, tag`

Constructor Summary
`protected` | `CompositeQuestion(Interview interview)` Create a question with no identifying tag.
`protected` | `CompositeQuestion(Interview interview, java.lang.String baseTag)` Create a question with a nominated tag.

Method Summary
`abstract void` | `setValue(java.lang.String id, java.lang.String s)` Set the response to this question to the value represented by a string-valued argument.

Methods inherited from class com.sun.interview.Question
`addMarker, clear, equals, export, getChecklistItems, getHelpID, getImage, getInterview, getKey, getNext, getResourceString, getResourceString, getStringValue, getSummary, getTag, getText, getTextArgs, hashCode, hasMarker, isEnabled, isHidden, isValueAlwaysValid, isValueValid, load, reload, removeMarker, save, setHelpID, setImage, setImage, setSummary, setText, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeQuestion

    protected CompositeQuestion(Interview interview,
                                java.lang.String baseTag)

  Create a question with a nominated tag.

  Parameters:
    `interview` - The interview containing this question.
    `baseTag` - A name to uniquely identify this question within its interview.

### CompositeQuestion

    protected CompositeQuestion(Interview interview)

  Create a question with no identifying tag.

  Parameters:
    `interview` - The interview containing this question.

Method Detail

### setValue

    public abstract void setValue(java.lang.String id,
                                  java.lang.String s)
                           throws Interview.Fault

  Set the response to this question to the value represented by a string-valued argument. Subtypes of Question will typically have type-specific methods to set the value as well.

  Parameters:
    `s` - A string containing a value value appropriate for the particular type of question whose value is being set.
  Throws:
    `Interview.Fault` - (retained for compatibility; should not be thrown)
  See Also:
    `Question.getStringValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.